@import 'variables';

.results {
  position: relative;
  display: flex;
  padding: 20px 20px 40px;
  &__wrapper {
    min-width: 420px;
    overflow-x: hidden;
    margin-right: 20px;
  }
  &__header {
    line-height: 40px;
  }
  &__title {
    font-size: 18px;
    font-weight: bold;
  }
  &__edit-button {
    font-size: 14px;
    font-weight: bold;
    color: $primary-color;
    padding-left: 10px;
    outline: none;
    user-select: none;
    &:hover {
      color: $secondary-color;
      cursor: pointer;
    }
  }
  &__separator {
    margin: 0 0 15px;
    border-color: rgba($gray-dark, 0.6);
  }
  &__table-wrapper {
    overflow: auto;
  }
  &__chart {
    width: 700px;
    height: 700px;
    margin: 40px 75px 0 0;
    position: fixed;
    right: 0;
  }
}

.results-data {
  min-width: 400px;
  text-align: end;
  &__title {
    float: left;
  }
  &__info {
    background-color: #feea83;
    font-size: 12px;
    font-weight: bold;
    padding: 4px;
  }
}

.control-block {
  position: absolute;
  top: 0;
  right: 0;
  margin: 20px;
  &__button {
    margin-left: 10px;
  }
}

.loading-indicator {
  padding: 150px;

  mat-spinner {
    margin: 0 auto;
  }
}
